/*
LCD4b.h
---------------------------------------------------------------------------------------
                 LCD-Routine fr KS0070 und HD44780 im 4Bit Modus v1.2
---------------------------------------------------------------------------------------
Fr die Ansteuerung des Displays werden 6 Pins bentigt.

Pinbelegung:
uC                  LCD            
------------------------------                      
PORT Pin lcd_rs		RS
PORT Pin lcd_e		D
			       	R/W und Datenbits 0-3 auf GND
----HalfByteSel = 0 ----------
PORT Pin 4		    Datenbit 4
PORT Pin 5     		Datenbit 5
PORT Pin 6	     	Datenbit 6
PORT Pin 7	      	Datenbit 7
----HalfByteSel = 1 ----------
PORT Pin 0	        Datenbit 4
PORT Pin 1    		Datenbit 5
PORT Pin 2    	    Datenbit 6
PORT Pin 3      	Datenbit 7
			       	
PORT, lcd_rs, lcd_e knnen frei gewhlt werden

Software:  
	AVR-GCC 3.3
	AVR Libc 1.2.3 
	
Hardware:  
	AVR-uController
*/



#ifndef F_CPU
#define F_CPU 16000000UL     //Prozessor Frequenz in Hz
#endif

#define lcd_e 5              //E Pinnummer
#define lcd_rs 4             //RS Pinnummer
#define HalfByteSel 1        //Oberes (0) oder Unteres Halbbyte (1) fr Datenbertragung
#define PORT PORTD           //Portname


// Weitere Einstellungmglichkeiten:
#define LCDOn 0x0c               // Display On
#define LCDinit 0x28             // Set Function
#define CurserInit 0x06         //Entery Mode Set

#define line1 0x80     //Adresse im Speicher des LCD-Controllers fr die 1. Zeile
#define line2 0xc0     //Adresse im Speicher des LCD-Controllers fr die 2. Zeile

extern void lcd_data(char byte);
extern void lcd_command(char byte);
extern void lcd_enable(void);
extern void kpause(void);
extern void lpause(void);
extern void lcd_linit(void);
extern void lcd_init(void);
extern void lcd_clear(void);
extern void lcd_out(char *s);
/*
-----------------------------------------------------------------------------------------------
LCD4b developed by Johannes K.
-----------------------------------------------------------------------------------------------
*/
